> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Posts

> - Simulates LinkedIn's Post Search Function with most important filters.  

 - 2 credits per call.



## OpenAPI

````yaml POST /search-posts
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /search-posts:
    post:
      description: >-
        - Simulates LinkedIn's Post Search Function with most important
        filters.  

         - 2 credits per call.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                search_keywords:
                  type: string
                  description: ''
                  example: marketing
                sort_by:
                  type: string
                  description: ''
                  enum:
                    - Latest
                    - Top match
                  default: Top match
                date_posted:
                  type: string
                  nullable: true
                  description: Filter posts by a specific date or date range.
                  enum:
                    - Past 24 hours
                    - Past week
                    - Past month
                    - past-year
                    - past-2y
                    - past-3y
                  example: Past week
                content_type:
                  type: string
                  nullable: true
                  description: ''
                  enum:
                    - Videos
                    - Images
                    - Job posts
                    - Live videos
                    - Documents
                    - Collaborative articles
                  example: Images
                from_member:
                  type: array
                  items:
                    type: string
                  nullable: true
                  description: List of LinkedIn URNs.
                  example:
                    - ACoAAAGafwYBi3pXOoVVwIyAFc453DuIv50jfTA
                from_company:
                  type: array
                  items:
                    type: integer
                  nullable: true
                  description: >-
                    Learn how to [find a
                    company_id](https://fdocs.info/tutorial/howto-find-company-id).
                  example:
                    - 1035
                    - 1586
                mentioning_member:
                  type: array
                  items:
                    type: string
                  nullable: true
                  description: List of LinkedIn URNs.
                  example:
                    - ACoAAAGafwYBi3pXOoVVwIyAFc453DuIv50jfTA
                mentioning_company:
                  type: array
                  items:
                    type: integer
                  nullable: true
                  description: >-
                    Learn how to [find a
                    company_id](https://fdocs.info/tutorial/howto-find-company-id).
                  example:
                    - 1035
                    - 1586
                author_company:
                  type: array
                  items:
                    type: integer
                  nullable: true
                  description: >-
                    Learn how to [find a
                    company_id](https://fdocs.info/tutorial/howto-find-company-id).
                  example:
                    - 1035
                    - 1586
                author_industry:
                  type: array
                  items:
                    type: integer
                  nullable: true
                  description: >-
                    All industry codes could be found [on this page](
                    https://learn.microsoft.com/en-us/linkedin/shared/references/reference-tables/industry-codes-v2).
                  example:
                    - 3
                    - 4
                author_keyword:
                  type: string
                  nullable: true
                  description: Author title keywords.
                  example: marketing manager
                page:
                  type: integer
                  description: ''
                  example: 1
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchPosts'
        '400':
          description: Invalid payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidPayload'
        '503':
          description: System Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
components:
  schemas:
    SearchPosts:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              num_comments:
                type: integer
                nullable: true
                example: null
              num_likes:
                type: integer
                nullable: true
                example: null
              num_shares:
                type: integer
                nullable: true
                example: null
              post_type:
                type: string
                example: photo
              post_url:
                type: string
                format: uri
                example: >-
                  https://www.linkedin.com/feed/update/urn:li:activity:7206932158031003648/
              posted:
                type: string
                example: '2024-06-13 08:15:24'
              poster_linkedin_url:
                type: string
                format: uri
                example: >-
                  https://www.linkedin.com/in/ACoAAAJcHacBGQdA-cxEAGl5Q1swIHXwixZMAK4?miniProfileUrn=urn%3Ali%3Afs_miniProfile%3AACoAAAJcHacBGQdA-cxEAGl5Q1swIHXwixZMAK4
              poster_name:
                type: string
                example: Ron Bar El
              poster_title:
                type: string
                example: >-
                  Chief TechStoryteller Officer | Founder of turba, Tech
                  storytelling & Brand strategy agency | Speaker
              text:
                type: string
                example: >-
                  The #AI #Narrative War: Beyond the technological battle for AI
                  supremacy among the tech giants...
              urn:
                type: string
                example: '7206932158031003648'
            required:
              - post_type
              - post_url
              - posted
              - poster_name
              - urn
        message:
          type: string
          example: ok
        total:
          type: integer
          example: 397
      required:
        - data
        - message
        - total
    InvalidPayload:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid payload.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````